2019-08-23 15:55 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005175Spring engineGeneralpublic2016-03-17 19:52
ReporterBeherith 
Assigned ToKloot 
PrioritylowSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
Product Version101.0+git 
Target VersionFixed in Version 
Summary0005175: FarTextures (billboard impostors) are drawn much smaller than the units they are replacing
DescriptionWhen zooming out, billboards are drawn much smaller than the units they are replacing.

This might possibly be caused by FarTextureHander using the CSolidObject->model->radius as the draw radius.

It is especially visible on the smaller 4 legged chickens on the screenshot.
Steps To ReproduceSet UnitLODDistance to a low-ish value ( /distdraw 140 ), observe that billboards are very tiny.
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0016082

Beherith (reporter)

screen00717 is zoomed further out

~0016106

Anonymous (viewer)

Fix c82e07514d9c197277f1681a9544d18f0595319a committed to develop branch: fix 0005175, repo: spring changeset id: 6837
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2016-03-16 10:58 Beherith New Issue
2016-03-16 10:58 Beherith File Added: screen00716.jpg
2016-03-16 10:59 Beherith Note Added: 0016082
2016-03-16 10:59 Beherith File Added: screen00717.jpg
2016-03-16 13:06 Kloot Assigned To => Kloot
2016-03-16 13:06 Kloot Status new => assigned
2016-03-17 19:52 Changeset attached => spring develop c82e0751
2016-03-17 19:52 Anonymous Note Added: 0016106
2016-03-17 19:52 Anonymous Status assigned => resolved
2016-03-17 19:52 Anonymous Resolution open => fixed
+Issue History